.drawerContainer{
    margin-left: auto;
    margin-right: 5px;
    position: relative;
    z-index: 9999;
}

/* チェックボックスを非表示にする */
.drawer_hidden {
    display: none;
}

/* ハンバーガーアイコンの設置スペース */
.drawer_open {
    margin-top: 5px;
    margin-right: 0px;
    display: flex;
    height: 35px;
    width: 35px;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 10001;
    /* 重なり順を一番上にする */
    cursor: pointer;
}

/* ハンバーガーメニューのアイコン */
.drawer_open span,
.drawer_open span:before,
.drawer_open span:after {
    content: '';
    display: block;
    height: 3px;
    width: 25px;
    border-radius: 3px;
    background: var(--grey);
    transition: 0.3s;
    position: absolute;
}

/* 三本線の一番上の棒の位置調整 */
.drawer_open span:before {
    bottom: 8px;
}

/* 三本線の一番下の棒の位置調整 */
.drawer_open span:after {
    top: 8px;
}

/* アイコンがクリックされたら真ん中の線を透明にする */
#drawer_input:checked~.drawer_open span {
    background: var(--transColor);
}

/* アイコンがクリックされたらアイコンが×印になるように上下の線を回転 */
#drawer_input:checked~.drawer_open span::before {
    bottom: 0;
    transform: rotate(45deg);
}

#drawer_input:checked~.drawer_open span::after {
    top: 0;
    transform: rotate(-45deg);
}
#drawer_input:checked ~ .nav_content {
    left: auto; /* メニューをスッと出す */
    right: 0;
}

/* メニューのデザイン*/
.nav{
    display:flex;
    justify-content: right;
}
.nav_content {
    /* メニューを画面の外に飛ばす */
    top: 0;
    left: auto;
    right: -100%;
    z-index: 10000;
    display: flex;
    flex-direction: column;
    padding-top: 0px;
    padding-right: 10px;
    padding-bottom: 15px;
    width: 100%;
    max-width: 300px;
    height: 100vh;
    position: fixed;
    background: var(--drawerBgColor);
    transition: 0.3s;
    line-height: 1.5;
    overflow-y: auto;
    /*スクロールバー非表示・IE(Internet Explorer)・Microsoft Edge*/
    -ms-overflow-style: none;
    /*スクロールバー非表示・Firefox*/
    scrollbar-width: none;
}

/*スクロールバー非表示・Google Chrome,Safari*/
.contents_box::-webkit-scrollbar {
    display: none;
}

/* メニュー黒ポチを消す */
.nav_list {
    list-style: none;
    margin-left: 0px;
    padding-left: 20px;
    margin-right: 0px;
    padding-right: 20px;
}

.nav_item {
    text-align: left;
    font-size: 16px;
    border-bottom: 1px solid var(--charGrey);
    padding-top: 15px;
    padding-bottom: 15px;
    color: var(--green);
    font-weight: bold;
}

.nav_item a{
    text-decoration: none;
}

a.nav_link {
    display: block;
    width: 100%;
    height: 100%;
}

.nav_link:link {
    color: var(--green);
}

.nav_link:visited {
    color: var(--green);
}

.nav_link:active {
    color: var(--charGrey);
}

.nav_link:hover {
    color: var(--charGrey);
}

.drawerIcons{
    margin-top: 15px;
}